Bug 787096 - Review Request: ghc-netlist - A simplified generic netlist for HDLs
Review Request: ghc-netlist - A simplified generic netlist for HDLs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 01:24 EST by Shakthi Kannan
Modified: 2012-02-15 18:53 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-netlist-0.3.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-15 18:52:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-02-03 01:24:16 EST
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-netlist.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-netlist-0.3.1-1.fc15.src.rpm
Description: A very simplified and generic netlist designed to be compatible with Hardware Description Languages (HDLs) like Verilog and VHDL.
Comment 1 Shakthi Kannan 2012-02-03 01:30:33 EST
Successful Koji builds for F15, F16 and F17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3758232
http://koji.fedoraproject.org/koji/taskinfo?taskID=3758233
http://koji.fedoraproject.org/koji/taskinfo?taskID=3758238

$ rpmlint ghc-netlist.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-netlist-0.3.1-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-netlist-0.3.1-1.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-netlist-devel-0.3.1-1.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Narasimhan 2012-02-04 08:38:32 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-netlist.spec built/ghc-netlist-0.3.1-1.fc15.x86_64.rpm built/ghc-netlist-devel-0.3.1-1.fc15.x86_64.rpm ghc-netlist-0.3.1-1.fc15.src.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - NOT OK.
        API documentation - OK, in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3clause license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum ghc-netlist-0.3.1-1.fc15.src/netlist-0.3.1.tar.gz 
d52ca0981b9fda61b6c29a5130d52c0c  ghc-netlist-0.3.1-1.fc15.src/netlist-0.3.1.tar.gz

 md5sum netlist-0.3.1.tar.gz 
d52ca0981b9fda61b6c29a5130d52c0c  netlist-0.3.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Works fine. Imported Language.Netlist.AST into ghci. No issues.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Narasimhan 2012-02-04 08:38:51 EST
Could you change the default description and summary before importing the package?
Comment 4 Shakthi Kannan 2012-02-04 12:48:02 EST
Yes, will change the default description and summary before importing it. Thanks for the review!
Comment 5 Shakthi Kannan 2012-02-06 06:52:23 EST
New Package SCM Request
=======================
Package Name: ghc-netlist
Short Description: A very simplified and generic netlist for HDLs
Owners: shakthimaan 
Branches: F-15 F-16 F-17
InitialCC: haskell-sig
Comment 6 Gwyn Ciesla 2012-02-06 08:23:51 EST
Git done (by process-git-requests).

f17 not yet branched.
Comment 7 Fedora Update System 2012-02-07 01:08:39 EST
ghc-netlist-0.3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-netlist-0.3.1-2.fc16
Comment 8 Fedora Update System 2012-02-07 01:08:48 EST
ghc-netlist-0.3.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-netlist-0.3.1-2.fc15
Comment 9 Fedora Update System 2012-02-07 21:27:53 EST
ghc-netlist-0.3.1-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 10 Fedora Update System 2012-02-15 18:52:45 EST
ghc-netlist-0.3.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-02-15 18:53:53 EST
ghc-netlist-0.3.1-2.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.